# Battlebit API Endpoints

Some time ago i found the API URL when decompiling the game, but it was only accesible via the game, so that indicates that the game uses some specific headers like `User-Agent` or shit like that/

So, i dumped the game memory of Battlebit using GDB and a script, giving me almost 3GB of information about the game, so i found the Endpoints and some Headers of the Battlebit API that is used to fetch the servers and other information.

## Info

All requests are POST and HTTP/1.1

**URL**: api.battlebit.cloud

**Headers**:
- Host: `api.battlebit.cloud`
- User-Agent: `b32bf642b285cauf0663688e7078f892dc2d0843` (This is the user agent used in every request to the Battlebit API

Mandatory headers that are on every request

## Endpoints

- /Servers/GetServerList
- /Player/GetStats
- /Tokens/GetToken
	- Exclusive Headers: `Connection: keep-alive`
- /Matchmaking/DemandGameServer


## Curl example:

```bash
curl -X POST https://api.battlebit.cloud/Servers/GetToken -H "User-Agent: b32bf642b285ca1f0663688e7078f892dc2d0843" -H "Host: api.battlebit.cloud" --http1.1
```

If you don't get any response it's because the server is down or something like that
